Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_down.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_down.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_down.F90	(revision 5117)
@@ -23,24 +23,24 @@
     ! input/output
 
-    integer, intent(in) :: ngrid ! number of horizontal grid points
-    integer, intent(in) :: nlay  ! number of vertical layers
-    real, intent(in) :: ptimestep ! time step of the physics [s]
-    real, intent(in), dimension(ngrid, nlay) :: eup ! entrainment to updrafts * dz [same unit as flux]
-    real, intent(in), dimension(ngrid, nlay) :: dup ! detrainment from updrafts * dz [same unit as flux]
-    real, intent(in), dimension(ngrid, nlay) :: edn ! entrainment to downdrafts * dz [same unit as flux]
-    real, intent(in), dimension(ngrid, nlay) :: ddn ! detrainment from downdrafts * dz [same unit as flux]
-    real, intent(in), dimension(ngrid, nlay) :: masse ! mass of layers = rho dz
-    real, intent(in), dimension(ngrid, nlay) :: trac ! tracer
-    integer, intent(in), dimension(ngrid) :: lmax ! max level index at which downdraft are present
-    real, intent(out), dimension(ngrid, nlay) :: dtrac ! tendance du traceur
+    INTEGER, INTENT(IN) :: ngrid ! number of horizontal grid points
+    INTEGER, INTENT(IN) :: nlay  ! number of vertical layers
+    REAL, INTENT(IN) :: ptimestep ! time step of the physics [s]
+    REAL, INTENT(IN), DIMENSION(ngrid, nlay) :: eup ! entrainment to updrafts * dz [same unit as flux]
+    REAL, INTENT(IN), DIMENSION(ngrid, nlay) :: dup ! detrainment from updrafts * dz [same unit as flux]
+    REAL, INTENT(IN), DIMENSION(ngrid, nlay) :: edn ! entrainment to downdrafts * dz [same unit as flux]
+    REAL, INTENT(IN), DIMENSION(ngrid, nlay) :: ddn ! detrainment from downdrafts * dz [same unit as flux]
+    REAL, INTENT(IN), DIMENSION(ngrid, nlay) :: masse ! mass of layers = rho dz
+    REAL, INTENT(IN), DIMENSION(ngrid, nlay) :: trac ! tracer
+    INTEGER, INTENT(IN), DIMENSION(ngrid) :: lmax ! max level index at which downdraft are present
+    REAL, INTENT(OUT), DIMENSION(ngrid, nlay) :: dtrac ! tendance du traceur
 
 
     ! Local
 
-    real, dimension(ngrid, nlay + 1) :: fup, fdn, fc, fthu, fthd, fthe, fthtot
-    real, dimension(ngrid, nlay) :: tracu, tracd, traci, tracold
+    REAL, DIMENSION(ngrid, nlay + 1) :: fup, fdn, fc, fthu, fthd, fthe, fthtot
+    REAL, DIMENSION(ngrid, nlay) :: tracu, tracd, traci, tracold
     REAL :: www, mstar_inv
-    integer ig, ilay
-    real, dimension(ngrid, nlay) :: s1, s2, num !coefficients pour la resolution implicite
+    INTEGER ig, ilay
+    REAL, DIMENSION(ngrid, nlay) :: s1, s2, num !coefficients pour la resolution implicite
     INTEGER :: iflag_impl = 1 ! 0 pour explicite, 1 pour implicite "classique", 2 pour implicite avec entrainement et detrainement
 
@@ -60,5 +60,5 @@
     num(:, :) = 1.
 
-    if (iflag_thermals_down < 10) THEN
+    IF (iflag_thermals_down < 10) THEN
       CALL abort_physic("thermcell_updown_dq", &
               'thermcell_down_dq = 0 or >= 10', 1)
@@ -74,7 +74,7 @@
       do ig = 1, ngrid
         !if ( lmax(ig) > nlay - 2 ) stop "les thermiques montent trop haut"
-        if (ilay<=lmax(ig) .and. lmax(ig)>1) THEN
+        IF (ilay<=lmax(ig) .AND. lmax(ig)>1) THEN
           fdn(ig, ilay) = fdn(ig, ilay + 1) + edn(ig, ilay) - ddn(ig, ilay)
-          if (fdn(ig, ilay) + ddn(ig, ilay) > 0.) THEN
+          IF (fdn(ig, ilay) + ddn(ig, ilay) > 0.) THEN
             www = fdn(ig, ilay + 1) / (fdn(ig, ilay) + ddn(ig, ilay))
           else
@@ -90,12 +90,12 @@
     do ilay = 1, nlay, 1
       do ig = 1, ngrid
-        if (ilay<lmax(ig) .and. lmax(ig)>1) THEN
+        IF (ilay<lmax(ig) .AND. lmax(ig)>1) THEN
           fup(ig, ilay + 1) = fup(ig, ilay) + eup(ig, ilay) - dup(ig, ilay)
-          if (fup(ig, ilay + 1) + dup(ig, ilay) > 0.) THEN
+          IF (fup(ig, ilay + 1) + dup(ig, ilay) > 0.) THEN
             www = fup(ig, ilay) / (fup(ig, ilay + 1) + dup(ig, ilay))
           else
             www = 0.
           endif
-          if (ilay == 1) THEN
+          IF (ilay == 1) THEN
             tracu(ig, ilay) = trac(ig, ilay)
           else
@@ -131,5 +131,5 @@
           !!!!ATTENTION HYPOTHESE de FLUX COMPENSATOIRE DESCENDANT ET DONC comme schema amont on va chercher trac au dessus!!!!!
           !!!! tentative de prise en compte d'un flux compensatoire montant  !!!!
-          if (fup(ig, ilay) - fdn(ig, ilay) < 0.) THEN
+          IF (fup(ig, ilay) - fdn(ig, ilay) < 0.) THEN
             CALL abort_physic("thermcell_updown_dq", 'flux compensatoire '&
                     // 'montant, cas non traite par thermcell_updown_dq', 1)
@@ -164,5 +164,5 @@
       do ilay = 2, nlay, 1
         do ig = 1, ngrid
-          if (fup(ig, ilay) - fdn(ig, ilay) < 0.) THEN
+          IF (fup(ig, ilay) - fdn(ig, ilay) < 0.) THEN
             CALL abort_physic("thermcell_updown_dq", 'flux compensatoire ' &
                     // 'montant, cas non traite par thermcell_updown_dq', 1)
@@ -183,5 +183,5 @@
       enddo !fin du calculer de la tendance du traceur avec la methode explicite
 
-    else if (iflag_impl==1) THEN
+    ELSE IF (iflag_impl==1) THEN
       do ilay = 1, nlay
         do ig = 1, ngrid
@@ -193,5 +193,5 @@
       do ilay = nlay - 1, 1, -1
         do ig = 1, ngrid
-          if((fup(ig, ilay) - fdn(ig, ilay)) < 0) THEN
+          IF((fup(ig, ilay) - fdn(ig, ilay)) < 0) THEN
             WRITE(*, *) 'flux compensatoire montant, cas non traite par thermcell_updown_dq dans le cas d une resolution implicite, ilay : ', ilay
             CALL abort_physic("thermcell_updown_dq", "", 1)
@@ -230,9 +230,9 @@
     ! arguments
 
-    integer, intent(in) :: ngrid, nlay
-    real, intent(in), dimension(ngrid, nlay) :: po, pt, pu, pv, pplay, eup, dup
-    real, intent(in), dimension(ngrid, nlay) :: theta
-    real, intent(in), dimension(ngrid, nlay + 1) :: pplev, fup
-    integer, intent(in), dimension(ngrid) :: lmax
+    INTEGER, INTENT(IN) :: ngrid, nlay
+    REAL, INTENT(IN), DIMENSION(ngrid, nlay) :: po, pt, pu, pv, pplay, eup, dup
+    REAL, INTENT(IN), DIMENSION(ngrid, nlay) :: theta
+    REAL, INTENT(IN), DIMENSION(ngrid, nlay + 1) :: pplev, fup
+    INTEGER, INTENT(IN), DIMENSION(ngrid) :: lmax
 
 
@@ -240,10 +240,10 @@
     ! Local
 
-    real, dimension(ngrid, nlay) :: edn, ddn, thetad
-    real, dimension(ngrid, nlay + 1) :: fdn
-
-    integer ig, ilay
-    real dqsat_dT
-    logical mask(ngrid, nlay)
+    REAL, DIMENSION(ngrid, nlay) :: edn, ddn, thetad
+    REAL, DIMENSION(ngrid, nlay + 1) :: fdn
+
+    INTEGER ig, ilay
+    REAL dqsat_dT
+    LOGICAL mask(ngrid, nlay)
 
     edn(:, :) = 0.
@@ -271,5 +271,5 @@
     do ilay = nlay, 1, -1
       do ig = 1, ngrid
-        if (ilay<=lmax(ig).and.lmax(ig)>1) THEN
+        IF (ilay<=lmax(ig).AND.lmax(ig)>1) THEN
           edn(ig, ilay) = fact_thermals_down * dup(ig, ilay)
           ddn(ig, ilay) = fact_thermals_down * eup(ig, ilay)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dq.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dq.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dq.F90	(revision 5117)
@@ -23,20 +23,20 @@
 
     ! arguments
-    integer, intent(in) :: ngrid, nlay, impl
-    real, intent(in) :: ptimestep
-    real, intent(in), dimension(ngrid, nlay) :: masse
-    real, intent(inout), dimension(ngrid, nlay) :: entr, q
-    real, intent(in), dimension(ngrid, nlay + 1) :: fm
-    real, intent(out), dimension(ngrid, nlay) :: dq, qa
-    integer, intent(in) :: lev_out                           ! niveau pour les print
+    INTEGER, INTENT(IN) :: ngrid, nlay, impl
+    REAL, INTENT(IN) :: ptimestep
+    REAL, INTENT(IN), DIMENSION(ngrid, nlay) :: masse
+    REAL, INTENT(INOUT), DIMENSION(ngrid, nlay) :: entr, q
+    REAL, INTENT(IN), DIMENSION(ngrid, nlay + 1) :: fm
+    REAL, INTENT(OUT), DIMENSION(ngrid, nlay) :: dq, qa
+    INTEGER, INTENT(IN) :: lev_out                           ! niveau pour les print
 
     ! Local
-    real, dimension(ngrid, nlay) :: detr, qold
-    real, dimension(ngrid, nlay + 1) :: wqd, fqa
-    real zzm
-    integer ig, k
-    real cfl
-
-    integer niter, iter
+    REAL, DIMENSION(ngrid, nlay) :: detr, qold
+    REAL, DIMENSION(ngrid, nlay + 1) :: wqd, fqa
+    REAL zzm
+    INTEGER ig, k
+    REAL cfl
+
+    INTEGER niter, iter
     CHARACTER (LEN = 20) :: modname = 'thermcell_dq'
     CHARACTER (LEN = 80) :: abort_message
@@ -57,5 +57,5 @@
           zzm = masse(ig, k) / ptimestep
           cfl = max(cfl, fm(ig, k) / zzm)
-          if (entr(ig, k)>zzm) THEN
+          IF (entr(ig, k)>zzm) THEN
             PRINT*, 'entr*dt>m,1', k, entr(ig, k) * ptimestep, masse(ig, k)
             abort_message = 'entr dt > m, 1st'
@@ -67,5 +67,5 @@
       qold = q
 
-      if (prt_level>=1) PRINT*, 'Q2 THERMCEL_DQ 0'
+      IF (prt_level>=1) PRINT*, 'Q2 THERMCEL_DQ 0'
 
       !   calcul du detrainement
@@ -75,5 +75,5 @@
           !           PRINT*,'Q2 DQ ',detr(ig,k),fm(ig,k),entr(ig,k)
           !test
-          if (detr(ig, k)<0.) THEN
+          IF (detr(ig, k)<0.) THEN
             entr(ig, k) = entr(ig, k) - detr(ig, k)
             detr(ig, k) = 0.
@@ -81,8 +81,8 @@
             !     s         'f+1=',fm(ig,k+1),'e=',entr(ig,k),'d=',detr(ig,k)
           endif
-          if (fm(ig, k + 1)<0.) THEN
+          IF (fm(ig, k + 1)<0.) THEN
             !               PRINT*,'fm2<0!!!'
           endif
-          if (entr(ig, k)<0.) THEN
+          IF (entr(ig, k)<0.) THEN
             !               PRINT*,'entr2<0!!!'
           endif
@@ -97,5 +97,5 @@
       do k = 2, nlay
         do ig = 1, ngrid
-          if ((fm(ig, k + 1) + detr(ig, k)) * ptimestep>  &
+          IF ((fm(ig, k + 1) + detr(ig, k)) * ptimestep>  &
                   1.e-5 * masse(ig, k)) THEN
             qa(ig, k) = (fm(ig, k) * qa(ig, k - 1) + entr(ig, k) * q(ig, k))  &
@@ -104,8 +104,8 @@
             qa(ig, k) = q(ig, k)
           endif
-          if (qa(ig, k)<0.) THEN
+          IF (qa(ig, k)<0.) THEN
             !               PRINT*,'qa<0!!!'
           endif
-          if (q(ig, k)<0.) THEN
+          IF (q(ig, k)<0.) THEN
             !               PRINT*,'q<0!!!'
           endif
@@ -121,5 +121,5 @@
 
       ! Trace species evolution
-      if (impl==0) THEN
+      IF (impl==0) THEN
         do k = 1, nlay - 1
           q(:, k) = q(:, k) + (fqa(:, k) - fqa(:, k + 1) - fm(:, k) * q(:, k) + fm(:, k + 1) * q(:, k + 1)) &
@@ -170,23 +170,23 @@
     !=======================================================================
 
-    integer ngrid, nlay, impl
-
-    real ptimestep
-    real masse(ngrid, nlay), fm(ngrid, nlay + 1)
-    real entr(ngrid, nlay)
-    real q(ngrid, nlay)
-    real dq(ngrid, nlay)
-    integer lev_out                           ! niveau pour les print
-
-    real qa(ngrid, nlay), detr(ngrid, nlay), wqd(ngrid, nlay + 1)
-
-    real zzm
-
-    integer ig, k
-    real cfl
-
-    real qold(ngrid, nlay)
-    real ztimestep
-    integer niter, iter
+    INTEGER ngrid, nlay, impl
+
+    REAL ptimestep
+    REAL masse(ngrid, nlay), fm(ngrid, nlay + 1)
+    REAL entr(ngrid, nlay)
+    REAL q(ngrid, nlay)
+    REAL dq(ngrid, nlay)
+    INTEGER lev_out                           ! niveau pour les print
+
+    REAL qa(ngrid, nlay), detr(ngrid, nlay), wqd(ngrid, nlay + 1)
+
+    REAL zzm
+
+    INTEGER ig, k
+    REAL cfl
+
+    REAL qold(ngrid, nlay)
+    REAL ztimestep
+    INTEGER niter, iter
     CHARACTER (LEN = 20) :: modname = 'thermcell_dq'
     CHARACTER (LEN = 80) :: abort_message
@@ -200,5 +200,5 @@
         zzm = masse(ig, k) / ptimestep
         cfl = max(cfl, fm(ig, k) / zzm)
-        if (entr(ig, k)>zzm) THEN
+        IF (entr(ig, k)>zzm) THEN
           PRINT*, 'entr*dt>m,2', k, entr(ig, k) * ptimestep, masse(ig, k)
           abort_message = 'entr dt > m, 2nd'
@@ -222,5 +222,5 @@
 
     DO iter = 1, niter
-      if (prt_level>=1) PRINT*, 'Q2 THERMCEL_DQ 0'
+      IF (prt_level>=1) PRINT*, 'Q2 THERMCEL_DQ 0'
 
       !   calcul du detrainement
@@ -230,5 +230,5 @@
           !           PRINT*,'Q2 DQ ',detr(ig,k),fm(ig,k),entr(ig,k)
           !test
-          if (detr(ig, k)<0.) THEN
+          IF (detr(ig, k)<0.) THEN
             entr(ig, k) = entr(ig, k) - detr(ig, k)
             detr(ig, k) = 0.
@@ -236,8 +236,8 @@
             !     s         'f+1=',fm(ig,k+1),'e=',entr(ig,k),'d=',detr(ig,k)
           endif
-          if (fm(ig, k + 1)<0.) THEN
+          IF (fm(ig, k + 1)<0.) THEN
             !               PRINT*,'fm2<0!!!'
           endif
-          if (entr(ig, k)<0.) THEN
+          IF (entr(ig, k)<0.) THEN
             !               PRINT*,'entr2<0!!!'
           endif
@@ -252,5 +252,5 @@
       do k = 2, nlay
         do ig = 1, ngrid
-          if ((fm(ig, k + 1) + detr(ig, k)) * ztimestep>  &
+          IF ((fm(ig, k + 1) + detr(ig, k)) * ztimestep>  &
                   1.e-5 * masse(ig, k)) THEN
             qa(ig, k) = (fm(ig, k) * qa(ig, k - 1) + entr(ig, k) * q(ig, k))  &
@@ -259,8 +259,8 @@
             qa(ig, k) = q(ig, k)
           endif
-          if (qa(ig, k)<0.) THEN
+          IF (qa(ig, k)<0.) THEN
             !               PRINT*,'qa<0!!!'
           endif
-          if (q(ig, k)<0.) THEN
+          IF (q(ig, k)<0.) THEN
             !               PRINT*,'q<0!!!'
           endif
@@ -281,5 +281,5 @@
           ! Schema avec advection sur plus qu'une maille.
           zzm = masse(ig, k) / ztimestep
-          if (fm(ig, k)>zzm) THEN
+          IF (fm(ig, k)>zzm) THEN
             wqd(ig, k) = zzm * q(ig, k) + (fm(ig, k) - zzm) * q(ig, k + 1)
           else
@@ -291,5 +291,5 @@
 #endif
 
-          if (wqd(ig, k)<0.) THEN
+          IF (wqd(ig, k)<0.) THEN
             !               PRINT*,'wqd<0!!!'
           endif
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dry.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dry.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dry.F90	(revision 5117)
@@ -20,8 +20,8 @@
        IMPLICIT NONE
 
-       integer, intent(in) :: ngrid,nlay
-       real, intent(in), dimension(ngrid,nlay+1) :: zlev,pphi,ztv,alim_star
-       integer, intent(in), dimension(ngrid) :: lalim
-       real, intent(out), dimension(ngrid) :: zmax,wmax
+       INTEGER, INTENT(IN) :: ngrid,nlay
+       REAL, INTENT(IN), DIMENSION(ngrid,nlay+1) :: zlev,pphi,ztv,alim_star
+       INTEGER, INTENT(IN), DIMENSION(ngrid) :: lalim
+       REAL, INTENT(OUT), DIMENSION(ngrid) :: zmax,wmax
 
 !variables locales
@@ -73,5 +73,5 @@
        do l=1,nlay-2
          do ig=1,ngrid
-            if (l==lmin(ig).and.lalim(ig)>1) THEN
+            IF (l==lmin(ig).AND.lalim(ig)>1) THEN
 !------------------------------------------------------------------------
 !  Calcul de la vitesse en haut de la premiere couche instable.
@@ -92,5 +92,5 @@
 !------------------------------------------------------------------------
 
-            else if (zw2(ig,l)>=1e-10) THEN
+            ELSE IF (zw2(ig,l)>=1e-10) THEN
                ztva(ig,l)=(f_star(ig,l)*ztva(ig,l-1)+alim_star(ig,l)  &
                       *ztv(ig,l))/f_star(ig,l+1)
@@ -102,5 +102,5 @@
 !------------------------------------------------------------------------
 
-            if (zw2(ig,l+1)>0. .and. zw2(ig,l+1)<1.e-10) THEN
+            IF (zw2(ig,l+1)>0. .AND. zw2(ig,l+1)<1.e-10) THEN
 !               stop 'On tombe sur le cas particulier de thermcell_dry'
 !               PRINT*,'On tombe sur le cas particulier de thermcell_dry'
@@ -110,5 +110,5 @@
             endif
 
-            if (zw2(ig,l+1)<0.) THEN
+            IF (zw2(ig,l+1)<0.) THEN
                linter(ig)=(l*(zw2(ig,l+1)-zw2(ig,l))  &
              -zw2(ig,l))/(zw2(ig,l+1)-zw2(ig,l))
@@ -126,5 +126,5 @@
                wa_moy(ig,l+1)=sqrt(zw2(ig,l+1))
 
-            if (wa_moy(ig,l+1)>wmaxa(ig)) THEN
+            IF (wa_moy(ig,l+1)>wmaxa(ig)) THEN
 !   lmix est le niveau de la couche ou w (wa_moy) est maximum
                lmix(ig)=l+1
@@ -133,5 +133,5 @@
          enddo
       enddo
-       if (prt_level>=1) PRINT*,'fin calcul zw2'
+       IF (prt_level>=1) PRINT*,'fin calcul zw2'
 
 ! Determination de zw2 max
@@ -142,5 +142,5 @@
       do l=1,nlay
          do ig=1,ngrid
-            if (l<=lmax(ig)) THEN
+            IF (l<=lmax(ig)) THEN
                 zw2(ig,l)=sqrt(zw2(ig,l))
                 wmax(ig)=max(wmax(ig),zw2(ig,l))
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dtke.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dtke.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dtke.F90	(revision 5117)
@@ -15,20 +15,20 @@
 !=======================================================================
 
-      integer, intent(in) :: ngrid,nlay,nsrf
-      real, intent(in) :: ptimestep
-      real, dimension(ngrid,nlay), intent(in) :: entr0
-      real, dimension(ngrid,nlay+1), intent(in) :: fm0,pplev
-      real, intent(in) :: rg
-      real, intent(inout) :: tke(ngrid,nlay+1,nsrf)
+      INTEGER, INTENT(IN) :: ngrid,nlay,nsrf
+      REAL, INTENT(IN) :: ptimestep
+      REAL, DIMENSION(ngrid,nlay), INTENT(IN) :: entr0
+      REAL, DIMENSION(ngrid,nlay+1), INTENT(IN) :: fm0,pplev
+      REAL, INTENT(IN) :: rg
+      REAL, INTENT(INOUT) :: tke(ngrid,nlay+1,nsrf)
 
-      real, dimension(ngrid,nlay) :: masse0,detr0, masse,entr,detr
-      real, dimension(ngrid,nlay+1) :: fm,wqd,q,qa
-      integer lev_out                           ! niveau pour les print
+      REAL, DIMENSION(ngrid,nlay) :: masse0,detr0, masse,entr,detr
+      REAL, DIMENSION(ngrid,nlay+1) :: fm,wqd,q,qa
+      INTEGER lev_out                           ! niveau pour les print
 
 
       REAL :: zzm
 
-      integer ig,k
-      integer isrf
+      INTEGER ig,k
+      INTEGER isrf
 
 
@@ -37,5 +37,5 @@
 !PRINT*,'thermcell_dtke'
 
-      if (prt_level>=1) PRINT*,'Q2 THERMCEL_DQ 0'
+      IF (prt_level>=1) PRINT*,'Q2 THERMCEL_DQ 0'
 
 !   calcul du detrainement
@@ -70,8 +70,8 @@
 
 
-    if (1==1) THEN
+    IF (1==1) THEN
       do k=2,nlay
          do ig=1,ngrid
-            if ((fm(ig,k+1)+detr(ig,k))*ptimestep>  &
+            IF ((fm(ig,k+1)+detr(ig,k))*ptimestep>  &
            1.e-5*masse(ig,k)) THEN
          qa(ig,k)=(fm(ig,k)*qa(ig,k-1)+entr(ig,k)*q(ig,k))  &
@@ -80,8 +80,8 @@
                qa(ig,k)=q(ig,k)
             endif
-            if (qa(ig,k)<0.) THEN
+            IF (qa(ig,k)<0.) THEN
 !               PRINT*,'qa<0!!!'
             endif
-            if (q(ig,k)<0.) THEN
+            IF (q(ig,k)<0.) THEN
 !               PRINT*,'q<0!!!'
             endif
@@ -94,5 +94,5 @@
          do ig=1,ngrid
             wqd(ig,k)=fm(ig,k)*q(ig,k)
-            if (wqd(ig,k)<0.) THEN
+            IF (wqd(ig,k)<0.) THEN
 !               PRINT*,'wqd<0!!!'
             endif
@@ -114,5 +114,5 @@
       enddo
 
- endif
+ END IF
 
    tke(:,:,isrf)=q(:,:)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dv2.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dv2.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dv2.F90	(revision 5117)
@@ -19,28 +19,28 @@
 
 
-      integer ngrid,nlay
+      INTEGER ngrid,nlay
 
-      real ptimestep
-      real masse(ngrid,nlay),fm(ngrid,nlay+1)
-      real fraca(ngrid,nlay+1)
-      real larga(ngrid)
-      real entr(ngrid,nlay)
-      real u(ngrid,nlay)
-      real ua(ngrid,nlay)
-      real du(ngrid,nlay)
-      real v(ngrid,nlay)
-      real va(ngrid,nlay)
-      real dv(ngrid,nlay)
-      integer lev_out                           ! niveau pour les print
+      REAL ptimestep
+      REAL masse(ngrid,nlay),fm(ngrid,nlay+1)
+      REAL fraca(ngrid,nlay+1)
+      REAL larga(ngrid)
+      REAL entr(ngrid,nlay)
+      REAL u(ngrid,nlay)
+      REAL ua(ngrid,nlay)
+      REAL du(ngrid,nlay)
+      REAL v(ngrid,nlay)
+      REAL va(ngrid,nlay)
+      REAL dv(ngrid,nlay)
+      INTEGER lev_out                           ! niveau pour les print
 
-      real qa(ngrid,nlay),detr(ngrid,nlay),zf,zf2
-      real wvd(ngrid,nlay+1),wud(ngrid,nlay+1)
-      real gamma0(ngrid,nlay+1),gamma(ngrid,nlay+1)
-      real ue(ngrid,nlay),ve(ngrid,nlay)
+      REAL qa(ngrid,nlay),detr(ngrid,nlay),zf,zf2
+      REAL wvd(ngrid,nlay+1),wud(ngrid,nlay+1)
+      REAL gamma0(ngrid,nlay+1),gamma(ngrid,nlay+1)
+      REAL ue(ngrid,nlay),ve(ngrid,nlay)
       LOGICAL ltherm(ngrid,nlay)
-      real dua(ngrid,nlay),dva(ngrid,nlay)
-      integer iter
+      REAL dua(ngrid,nlay),dva(ngrid,nlay)
+      INTEGER iter
 
-      integer ig,k,nlarga0
+      INTEGER ig,k,nlarga0
 
 !-------------------------------------------------------------------------
@@ -73,5 +73,5 @@
          do ig=1,ngrid
             ltherm(ig,k)=(fm(ig,k+1)+detr(ig,k))*ptimestep > 1.e-5*masse(ig,k)
-            IF(ltherm(ig,k).and.larga(ig)>0.) THEN
+            IF(ltherm(ig,k).AND.larga(ig)>0.) THEN
                gamma0(ig,k)=masse(ig,k)  &
            *sqrt( 0.5*(fraca(ig,k+1)+fraca(ig,k)) )  &
@@ -81,5 +81,5 @@
                gamma0(ig,k)=0.
             endif
-            if (ltherm(ig,k).and.larga(ig)<=0.) nlarga0=nlarga0+1
+            IF (ltherm(ig,k).AND.larga(ig)<=0.) nlarga0=nlarga0+1
          enddo
       enddo
@@ -90,5 +90,5 @@
 
          do ig=1,ngrid
-            if (ltherm(ig,k)) THEN
+            IF (ltherm(ig,k)) THEN
                dua(ig,k)=ua(ig,k-1)-u(ig,k-1)
                dva(ig,k)=va(ig,k-1)-v(ig,k-1)
@@ -116,5 +116,5 @@
 !  par le module du vent dans la couche en dessous.
 !  Mais pourquoi donc ???
-               if (ltherm(ig,k)) THEN
+               IF (ltherm(ig,k)) THEN
 !   On choisit une relaxation lineaire.
 !                 gamma(ig,k)=gamma0(ig,k)
@@ -187,5 +187,5 @@
    endif
 
-     if (nlarga0>0) THEN
+     IF (nlarga0>0) THEN
           PRINT*,'WARNING !!!!!! DANS THERMCELL_DV2 '
           PRINT*,nlarga0,' points pour lesquels laraga=0. dans un thermique'
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_env.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_env.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_env.F90	(revision 5117)
@@ -17,16 +17,16 @@
 ! arguments
 
-   integer,intent(in) :: ngrid,nlay,lev_out
-   real,intent(in), dimension(ngrid,nlay) :: po,pt,pu,pv,pplay
-   real,intent(in), dimension(ngrid,nlay+1) :: pplev
-   real,intent(out), dimension(ngrid,nlay) :: zo,zl,zh,ztv,zthl
-   real,intent(out), dimension(ngrid,nlay) :: zpspsk,zu,zv,pqsat
-   real, intent(out), dimension(ngrid) :: lintercong
-   integer, intent(out), dimension(ngrid) :: lcong   
+   INTEGER,INTENT(IN) :: ngrid,nlay,lev_out
+   REAL,INTENT(IN), DIMENSION(ngrid,nlay) :: po,pt,pu,pv,pplay
+   REAL,INTENT(IN), DIMENSION(ngrid,nlay+1) :: pplev
+   REAL,INTENT(OUT), DIMENSION(ngrid,nlay) :: zo,zl,zh,ztv,zthl
+   REAL,INTENT(OUT), DIMENSION(ngrid,nlay) :: zpspsk,zu,zv,pqsat
+   REAL, INTENT(OUT), DIMENSION(ngrid) :: lintercong
+   INTEGER, INTENT(OUT), DIMENSION(ngrid) :: lcong
 ! Local
 
-   integer ig,ll
-   real dqsat_dT
-   logical mask(ngrid,nlay)
+   INTEGER ig,ll
+   REAL dqsat_dT
+   LOGICAL mask(ngrid,nlay)
 
 
@@ -60,5 +60,5 @@
 
 !-----------------------------------------------------------------------
-   if (prt_level>=1) PRINT*,'0 OK convect8'
+   IF (prt_level>=1) PRINT*,'0 OK convect8'
 
    do ll=1,nlay
@@ -85,5 +85,5 @@
    do ig=1,ngrid
       do ll=1,nlay-1
-         if ((zh(ig,ll)>273.15).and.(zh(ig,ll+1)<=273.15)) THEN
+         IF ((zh(ig,ll)>273.15).AND.(zh(ig,ll+1)<=273.15)) THEN
             lcong(ig)=ll+1
             lintercong(ig)=(ll*(zh(ig,ll+1)-zh(ig,ll))  &
